// Jason Brillante "Damdoshi"
// Hanged Bunny Studio 2014-2015
//
// Sewer Glue

#include		<string.h>
#include		"Ingame.hpp"

void			hbs::Ingame::Reset(void)
{
  monster_counter = 0;
  miam = 0;
  monster_hidden = true;
  monster_hidingplace = 2;
  monster_x = sewers[monster_hidingplace].left + sewers[monster_hidingplace].width / 2;
  monster_y = sewers[monster_hidingplace].top + sewers[monster_hidingplace].height / 2;
  memset(&move[0], false, sizeof(move));
  camera_position = -(monster_x - sg->GetScreenWidth() / 2);
  life = 3;
  outch_delay = 0;
  arriving = 9;
  warping = false;
  people.clear();
  car.clear();
  level = 0;
  victory_step = 0;
  words.clear();
  people_get = 0;
}
